net.sourceforge.jnlp.security

## Class HttpsCertVerifier

- java.lang.Object
- - net.sourceforge.jnlp.security.HttpsCertVerifier

- All Implemented Interfaces:
    CertVerifier

      public class HttpsCertVerifier
      extends java.lang.Object
      implements CertVerifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpsCertVerifier(java.security.cert.X509Certificate[] chain, java.lang.String authType, boolean isTrusted, boolean hostMatched, java.lang.String hostName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAlreadyTrustPublisher()` Return if the publisher is already trusted
    `java.security.cert.CertPath` | `getCertPath(java.security.cert.CertPath certPath)` Return a valid certificate path to this certificate being verified
    `java.util.List<java.lang.String>` | `getDetails(java.security.cert.CertPath certPath)` Get the details regarding issue with this certificate
    `java.security.cert.Certificate` | `getPublisher(java.security.cert.CertPath certPath)` Returns the application's publisher's certificate.
    `java.security.cert.Certificate` | `getRoot(java.security.cert.CertPath certPath)` Returns the application's root's certificate.
    `boolean` | `getRootInCacerts()` Return if the root is in CA certs
    `boolean` | `hasSigningIssues(java.security.cert.CertPath certPath)` Return if there are signing issues with the certificate being verified

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpsCertVerifier

          public HttpsCertVerifier(java.security.cert.X509Certificate[] chain,
                           java.lang.String authType,
                           boolean isTrusted,
                           boolean hostMatched,
                           java.lang.String hostName)

  - ### Method Detail

    - #### getAlreadyTrustPublisher

          public boolean getAlreadyTrustPublisher()

      Description copied from interface: `CertVerifier`
      Return if the publisher is already trusted
      Specified by:
        `getAlreadyTrustPublisher` in interface `CertVerifier`

    - #### getCertPath

          public java.security.cert.CertPath getCertPath(java.security.cert.CertPath certPath)

      Description copied from interface: `CertVerifier`
      Return a valid certificate path to this certificate being verified
      Specified by:
        `getCertPath` in interface `CertVerifier`
      Returns:
        The CertPath

    - #### getDetails

          public java.util.List<java.lang.String> getDetails(java.security.cert.CertPath certPath)

      Description copied from interface: `CertVerifier`
      Get the details regarding issue with this certificate
      Specified by:
        `getDetails` in interface `CertVerifier`

    - #### getPublisher

          public java.security.cert.Certificate getPublisher(java.security.cert.CertPath certPath)

      Description copied from interface: `CertVerifier`
      Returns the application's publisher's certificate.
      Specified by:
        `getPublisher` in interface `CertVerifier`

    - #### getRoot

          public java.security.cert.Certificate getRoot(java.security.cert.CertPath certPath)

      Description copied from interface: `CertVerifier`
      Returns the application's root's certificate. This may return the same certificate as getPublisher(CertPath certPath) in the event that the application is self signed.
      Specified by:
        `getRoot` in interface `CertVerifier`

    - #### getRootInCacerts

          public boolean getRootInCacerts()

      Description copied from interface: `CertVerifier`
      Return if the root is in CA certs
      Specified by:
        `getRootInCacerts` in interface `CertVerifier`

    - #### hasSigningIssues

          public boolean hasSigningIssues(java.security.cert.CertPath certPath)

      Description copied from interface: `CertVerifier`
      Return if there are signing issues with the certificate being verified
      Specified by:
        `hasSigningIssues` in interface `CertVerifier`

Submit a bug or feature